ormolu-0.1.2.0: A formatter for Haskell source code

Safe Haskell | Safe
Language | Haskell2010

Ormolu.Processing.Common

Description

Common definitions for pre- and post- processing.

Synopsis

- data OrmoluState
  - = OrmoluEnabled
  - | OrmoluDisabled
- startDisabling :: IsString s => s
- endDisabling :: IsString s => s

# Documentation

data OrmoluState Source #

Ormolu state.

Constructors

OrmoluEnabled | Enabled
OrmoluDisabled | Disabled

#### Instances

Instances details

Eq OrmoluState Source # |
Instance details Defined in Ormolu.Processing.Common Methods (==) :: OrmoluState -> OrmoluState -> Bool Source # (/=) :: OrmoluState -> OrmoluState -> Bool Source #
Show OrmoluState Source # |
Instance details Defined in Ormolu.Processing.Common Methods showsPrec :: Int -> OrmoluState -> ShowS Source # show :: OrmoluState -> String Source # showList :: [OrmoluState] -> ShowS Source #

startDisabling :: IsString s => s Source #

Marker for the beginning of the region where Ormolu should be disabled.

endDisabling :: IsString s => s Source #

Marker for the end of the region where Ormolu should be disabled.